Zadanie # 2664 (W toku): Zbiorcze podsumowanie zadan po audycie WCAG
Mozliwos¢ pominiecia blokéw

2021-09-29 07:55 - Tomasz Blazejczyk

Status: Zamkniety Start date: 2021-09-29
Priority: Normalny Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Marcin Suda, Tomasz Blazejczyk Rewizja rozwigzania:

Tester: Tomasz Lewandowski Rewizja testow:

Description

Brak linkow stuzacych do pominiecia powtarzajgcych sie elementéw. Uzytkownicy niewidomi lub korzystajacy
tylko z klawiatury za kazdym przejSciem pomiedzy stronami muszg ,przedzierac sie” przez wszystkie tresci.
Rozwigzanie

Nalezy stworzy¢ menu pozwalajgce na pominiecie np. tresci i przejscie od razu do menu gtéwnego, tresci, itp.
Powinno byé ono zapewnione jako pierwszy element w kodzie HTML.

Przyktad: http://widzialni.org

HTML

<ul class="nav">

<li><a href="#mg">Przejdz do menu gtéwnego</a></li>

<li><a href="#txt">Przejdz do tresci</a></li>

</ul>

CSS

.nav a {

display: inline;

padding: 5px 10px;

text-align: center;

text-decoration: none;

width: 150px;

position: absolute;

left: -9000em;

z-index: 100;

}
.nav a:hover, .nav a:focus, .nav a:active {
background: #666;

border: 2px solid #000;

color: #fff;

position: absolute;

left: O;

top: 0;

}
http://www.w3.0rg/TR/WCAG20-TECHS/G1.html
Kolorystyke nalezy dostosowaé do kolorystyki portalu.

History

#1 - 2021-09-29 07:59 - Tomasz Blazejczyk
- Assignee set to Marcin Suda

#2 - 2021-10-04 06:38 - Marcin Suda
http://www.w3.org/TR/WCAG20-TECHS/G1.html

- Status changed from Nowy to Testowanie

- Assignee changed from Marcin Suda to Tomasz Lewandowski

#3 - 2021-10-06 12:18 - Tomasz Lewandowski
- Assignee changed from Tomasz Lewandowski to Marcin Suda
- % Done changed from 0 to 80

Skipping menu seems legit

(if we set aside scholarly debate on how to define "main menu" in case of yadda-web...)

| think we should additionaly change alt of
<img height="58" src="images/collections/agro/BannerHeader.png" class="banner-agro" alt="Baner z napisem BAZA AGRO">

to “alt="Przejdz do strony gtéwnej"

#4 - 2021-10-07 10:16 - Marcin Suda

- Assignee changed from Marcin Suda to Tomasz Lewandowski

I'm not convinced if that's the correct approach - | think the alt attribute should stay as it is, as it accurately describes the contents of the picture.
Instead, I've added a title attribute to the main page link, with the text you've proposed.

Other changes in the recent commit:
- the alt attribute of the "Baza AGRO" banner is now translatable;
- fixed the english labels for the "Skip to menu/content" links;

#5 - 2021-10-15 14:25 - Tomasz Lewandowski

- Status changed from Testowanie to Rozwigzany
- Assignee deleted (Tomasz Lewandowski)

- % Done changed from 80 to 100

all seems fine now

#6 - 2021-10-19 09:08 - Tomasz Lewandowski
- Status changed from Rozwigzany to Zamkniety
